﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Text;
using Xamarin.Essentials;

namespace Finimpresa
{
    class PropertyClienti : INotifyPropertyChanged
    {
        private int contatore;
        private string cdfc;
        private string denominazione;
        private string email;
        private bool isactive;

        public int Contatore
        {
            get { return contatore; }
            set
            {
                contatore = value;
                OnPropertyChanged();
            }
        }

        public string CdFc
        {
            get { return cdfc; }
            set
            {
                cdfc = value;
                OnPropertyChanged();
            }
        }

        public string Denominazione
        {
            get { return denominazione; }
            set
            {
                denominazione = value;
                OnPropertyChanged();
            }
        }

        public string Email
        {
            get { return email; }
            set
            {
                email = value;
                OnPropertyChanged();
            }
        }

        public bool IsActive
        {
            get { return isactive; }
            set
            {
                isactive = value;
                OnPropertyChanged();
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected virtual void OnPropertyChanged([CallerMemberName] string propertyName = null)
        {
            this.PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }

    }

    
}
